LINUX.ORG.RU

Как установить Guitar Pro 6 на ubuntu

 ,


0

1

Здравствуйте! Ubuntu 16.04

Пытаюсь установить Guitar Pro 6

Делаю как в этом видео: https://www.youtube.com/watch?v=jUh-2AVgsW8 В итоге на этапе который показан на 2.20 т.е после ввода команды sudo dpkg -i --force-architecture gp6-full-linux-r11553-modife.deb

получаю следующее:

kirill@kirill-N61Vn:~/Downloads$ sudo dpkg -i --force-architecture gp6-full-linux-r11553-modife.deb (Reading database ... 215819 files and directories currently installed.) Preparing to unpack gp6-full-linux-r11553-modife.deb ... Unpacking guitarpro6:i386 (6.1.5) over (6.1.5) ... dpkg: dependency problems prevent configuration of guitarpro6:i386: guitarpro6:i386 depends on libportaudio0. guitarpro6:i386 depends on libssl0.9.8.

dpkg: error processing package guitarpro6:i386 (--install): dependency problems - leaving unconfigured Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160523-0ubuntu1) ... Rebuilding /usr/share/applications/bamf-2.index... Processing triggers for gnome-menus (3.13.3-6ubuntu3) ... Processing triggers for desktop-file-utils (0.22-1ubuntu5) ... Processing triggers for mime-support (3.59ubuntu1) ... Errors were encountered while processing: guitarpro6:i386

В чем проблема?

Тебе не нужен этот варез, т.к. есть tuxguitar.

anonymous ()
Ответ на: комментарий от anonymous

Нет мне нужен этот. Так как в нем есть RSE чего нет в tuxguitar

Sun_Lion ()

Насколько я помню, в пакете гитар про прописаны древние зависимости для древней убунты. Нужно руками распаковать пакет в /opt и установить нужные зависимости (например, libportaudio).

ionanahin ★★★ ()

Туториал  — какой-то бред. Их обычно неграмотные люди делают.

ionanahin ★★★ ()

sudo apt-get -f install

Если после этого вылезут ошибки - значит не судьба.

fenris ★★★★★ ()

В чем проблема?

guitarpro6:i386 depends on libportaudio0. guitarpro6:i386 depends on libssl0.9.8.

//кеп

amorpher ★★★★★ ()
Ответ на: комментарий от ionanahin

Нужно руками распаковать пакет в /opt и установить нужные зависимости (например, libportaudio).

я просто /./opt/GuitarPro6/ из data.tar из деба распаковал себе в хомяк в спецкаталог в котором всякая хрень не из реп, и всё работает чики-пуки

amorpher ★★★★★ ()
Ответ на: комментарий от amorpher

Можешь пожалуйста написать туториал для новичка? Или видюшку записать? Пожалуйста, очень нужно... А то измучился уже.

Sun_Lion ()
Ответ на: комментарий от Sun_Lion

После sudo apt-get -f install Вот что пишет:

kirill@kirill-N61Vn:~/Downloads$ sudo apt-get -f installReading package lists... Done Building dependency tree Reading state information... Done Correcting dependencies... Done The following packages were automatically installed and are no longer required: gcc-5-base:i386 libasound2:i386 libaudio2:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libbsd0:i386 libcups2:i386 libdbus-1-3:i386 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libedit2:i386 libelf1:i386 libexpat1:i386 libffi6:i386 libfontconfig1:i386 libfreetype6:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386 libglib2.0-0:i386 libglu1-mesa:i386 libgmp10:i386 libgnutls30:i386 libgssapi-krb5-2:i386 libhogweed4:i386 libice6:i386 libicu55:i386 libidn11:i386 libjack-jackd2-0:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386 libllvm3.8:i386 libmng2:i386 libmysqlclient20:i386 libnettle6:i386 libp11-kit0:i386 libpciaccess0:i386 libpng12-0:i386 libportaudio2:i386 libqt4-dbus:i386 libqt4-declarative:i386 libqt4-network:i386 libqt4-script:i386 libqt4-sql:i386 libqt4-sql-mysql:i386 libqt4-svg:i386 libqt4-xml:i386 libqt4-xmlpatterns:i386 libqtcore4:i386 libqtdbus4:i386 libqtgui4:i386 libsamplerate0:i386 libsm6:i386 libstdc++6:i386 libtasn1-6:i386 libtiff5:i386 libtxc-dxtn-s2tc0:i386 libx11-6:i386 libx11-xcb1:i386 libxau6:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-sync1:i386 libxcb1:i386 libxdamage1:i386 libxdmcp6:i386 libxext6:i386 libxfixes3:i386 libxi6:i386 libxml2:i386 libxrender1:i386 libxshmfence1:i386 libxslt1.1:i386 libxt6:i386 libxxf86vm1:i386 mysql-common qt-at-spi:i386 Use 'sudo apt autoremove' to remove them. The following packages will be REMOVED: guitarpro6:i386 0 upgraded, 0 newly installed, 1 to remove and 3 not upgraded. 1 not fully installed or removed. After this operation, 108 MB disk space will be freed. Do you want to continue? [Y/n]

Sun_Lion ()
Ответ на: комментарий от Sun_Lion

sudo apt-get -f install

молотком ещё попробуй забить, выше выделил уже, чего ей надо (libportaudio0 libssl0.9.8)

amorpher ★★★★★ ()

Win версия под wine отлично работает.

pkurg ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.